List Metric Labels
const url = 'https://example.com/observability/v1/workspaces/example/engines/example/metrics/labels';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/observability/v1/workspaces/example/engines/example/metrics/labelsLists the label names visible to the workspace.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The workspace whose telemetry is inspected.
The provider: qibdo, aws, gcp, or azure, or ’-’ to default to qibdo.
Query Parameters
Section titled “Query Parameters ”Maximum items per page. The service may return fewer than this value. If unspecified, at most 20 items will be returned. The maximum value is 100; values above 100 will be coerced to 100.
A page token from a previous call.
AIP-160 filter expression.
AIP-132 order_by expression.
Responses
Section titled “ Responses ”OK
ListMetricLabelsResponse
Response for ListMetricLabels.
object
The label names.
The provider that served the listing.
Example
{ "engine": "ENGINE_UNSPECIFIED"}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}